<?php

namespace App\Policies;

use App\Models\Setting;
use App\Models\User;

class SettingPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->can('SETTINGS_VIEW');
    }

    public function update(User $user): bool
    {
        return $user->can('SETTINGS_UPDATE');
    }

    public function view(User $user, Setting $setting): bool
    {
        return $user->can('SETTINGS_VIEW');
    }
}
